@import "variables";

:host {
  display: block;
}

nz-form-label {
  width: 100%;
  text-align: left;
  font-weight: 700;
}

#soap-center-button {
  width: 100%;
  text-align: center;
}

nz-input-number {
  width: 100%;
}

nz-form-item {
  margin: 0;
}

input.ant-input {
  border: 1px solid $grey4;
  padding-right: 11px;
  padding-left: 11px;
}

.ant-input:hover {
  border-color: #6842b3;
  border-right-width: 1px;
}

nz-input-group {
  border: none;
  padding: 0 4px 0 0;
}

input {
  width: 100%;
  height: 36px;
  border: inherit;
  padding: inherit;
}

.ryax-checkbox {
  width: 100%;
  height: 36px;
  display: flex;
  justify-content: flex-start;
  align-items: center;

  input {
    height: 1.2em;
    width: 36px;
  }
}

.ryax-input {
  flex: 0;
  margin-right: 4px;
  min-width: fit-content;

  nz-select {
    min-width: auto;
    width: 100px;
    padding: 0 4px 0 0;
  }
}

#ryax-remove-file {
  margin-left: 20px;
}

p {
  margin-left: 12px;
  color: $grey5;
  margin-bottom: 0;
}

.iotype {
  color: $grey5;
  font-weight: normal;
}

.iotitle {
  display: flex;
  flex-direction: row;
  width: 100%;
}
